<?php
/*
 * This file is part of Web Pro Manager.
 * 
 * Web Pro Manager is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * Web Pro Manager is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * 
 * You should have received a copy of the GNU General Public License
 * along with Web Pro Manager.  If not, see <http://www.gnu.org/licenses/>.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * @license http://www.gnu.org/licenses/gpl.html GNU GPL
 * @package WebProManager
*/

require("manage/inc/stop_cache.php");
// connect to mysql
require("inc/dbconnect.php");
require("inc/config.php");
?>
<div id="loginForm">
	<form action="<?php echo $nFullSitePath;?>/manage/process_login.php" method="post" target="_top" style="margin:0;">
		<strong>E-mail:</strong><BR>
		<input type="text" name="nUser" id="nUser" value="" maxlength="25" class="fld"><BR>
		<strong>Password:</strong><BR>
		<input type="password" name="nPwd" id="nPwd" value="" maxlength="25" class="fldPwd"><BR>
		<input type="submit" name="nLogin" id="nLogin" value=" Login " class="btn"><BR>
		<a href="<?php echo $nFullSitePath;?>manage/pwd_recovery.php" target="_top">Forgot password?</a>
	</form>
</div>
<?php
require("inc/db_close.php");
?>