<?php
/*
 * This file is part of a larger software package. Please read the License file 
 * in the root of this installation for terms of usage and distribution.
 * 
 * @author The Web Pro Miami, Inc. <info@thewebpro.com>
 * @copyright The Web Pro Miami, Inc. <info@thewebpro.com>, http://www.thewebpro.com/
 * 
 * CORE: manage/dialog/user_delete.php - version 1.0
*/

$nAdminOnlyPg = 1;

// Secure and connect
require("../../inc/dbconnect.php");
require("../inc/secure_page.php");

// bring in other required files
require("../../inc/config.php");
require("../inc/lang.php");

// config
$nPageName = "user_delete.php";
$nRefreshCall = "document.location = \'users.php\';";

// Get passed-in vars
$nUpdateDB = (isset($_POST["nUpdateDB"]) ? $_POST["nUpdateDB"] : NULL);
$nRecID = (isset($_GET['id']) ? $_GET['id'] : NULL);

if($nRecID){
	$nSQL = "SELECT nUser FROM nEditor WHERE nID='$nRecID' LIMIT 1";
	mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
	if($Row = mysql_fetch_array($Result)){
		$nName = $Row["nUser"];
	} else { echo "<div align=\"center\" style=\"padding:20px;\">No record found.</div>"; }
} else { echo "<div align=\"center\" style=\"padding:20px;\">No record available. Invalid ID.</div>"; }

if($nUpdateDB){
	$nRecID = $_POST["nRecID"];
	if($nRecID){
		// Delete record
		$nSQL = "DELETE FROM nEditor WHERE nID='$nRecID' LIMIT 1";
		mysql_select_db($DBName);
		mysql_query($nSQL, $Link);
		// Optmization
		$nSQL = "OPTIMIZE TABLE nEditor";
		mysql_select_db($DBName);
		mysql_query($nSQL, $Link);
		
		// Now that user no longer exists, replace all instances of this ID from system log with name
		$nSQL = "SELECT nID,nEventDesc FROM nSystemEventLog";
		mysql_select_db($DBName); $Result = mysql_query($nSQL,$Link);
		while($Row = mysql_fetch_array($Result)){
			$nEventID = $Row["nID"];
			$nEventDesc = $Row["nEventDesc"];
			$nNewEventDesc = str_replace("[nUserID:$nRecID]","<strong>$nName</strong>",$nEventDesc);
			if($nNewEventDesc!=$nEventDesc){ nUpdateEventDesc($nEventID,$nNewEventDesc); }
		}
		
		// log system event
		$nSystemEventDesc = _("User deleted:")." <strong>$nName</strong>";
		$Query = "INSERT INTO nSystemEventLog (nEventTime,nEventDesc,nEditorUser) VALUES ('".date("Y-m-d H:i:s")."','$nSystemEventDesc','$ValidUser')";
		mysql_select_db($DBName); mysql_query($Query, $Link);
	}
	echo "<script></script>";
	exit();
}
?>
<form action="<?php echo $_SERVER['PHP_SELF']?>" method="post" name="dialogForm" id="dialogForm" onSubmit="return submitFormModal('dialog/<?php echo $nPageName;?>?id=<?php echo $nRecID?>','dialogForm','<?php echo $nRefreshCall;?>');return false;">
	<input type="hidden" name="nUpdateDB" value="1">
	<input type="hidden" name="nRecID" value="<?php echo $nRecID?>">
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
	<td height="80" align="center" style="padding:10px;">
		
		<table border="0" cellspacing="0" cellpadding="0">
		  <tr>
			<td valign="top" style="padding-right:10px;"><img src="assets/images/icons/question.png" alt="" width="32" height="32" border="0"></td>
			<td class="blueBold" style="padding-right:10px;"><?php echo _("Are you sure you want to delete"); ?> <strong><?php echo $nName?></strong>?</td>
		  </tr>
		</table>
		
	</td>
  </tr>
  <tr>
	<td style="padding:10px; text-align:center;">
	<input type="submit" name="nYes" value="<?php echo _("Delete"); ?>" class="button black"> 
	<input type="button" name="nCancel" value="<?php echo _("Cancel"); ?>" class="button" onClick="dialogDeleteClose();">
	</td>
  </tr>
</table>
</form>
<?php
function nUpdateEventDesc($nEventID,$nNewEventDesc){
	global $DBName,$Link;
	if(!$nEventID){ return; }
	$Query = "UPDATE nSystemEventLog SET nEventDesc='$nNewEventDesc' WHERE nID=$nEventID";
	mysql_select_db($DBName);
	mysql_query($Query, $Link);
}
?>
<?php require("../../inc/db_close.php"); ?>
